Subject: Re: bug#3736: 23.1.50; Please use null-device instead of /dev/null

From: Michael Albinus <[email-masked]>
Date: Thu, 19 Nov 2020 17:32:41 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

> Michael Albinus <[email-masked]> writes:
>
>> Jason Rumney <[email-masked]> writes:
>>
>>> Probably the best solution is for tramp to implement a general
>>> server-local-variable mechanism, as there are probably other variables
>>> that need different values for different servers too.  The user could
>>> then configure a variable (such as tramp-server-local-variable-alist)
>>> to define any such variables that they need to, which would then be
>>> let bound as appropriate in tramp functions.
>>
>> Nice idea. Tramp does it already in some cases (for example for
>> environment variables of the remote host), but your proposal is more
>> general.
>>
>> Noted.
>
> (That was 12 years ago.)

Thanks for the reminder. Somehow, I've missed to tag this bug locally,
so I've lost it.

> Now that we have this concept of "connection local variables", does that
> satisfy the requirement to be able to specify null-device for remote
> hosts?

Yes, shall be possible. I'll see what I could do (with slow progress, as
it happens these days to me). Target will be Emacs 28.

Best regards, Michael.